View Issue Details

IDProjectCategoryView StatusLast Update
0008313mantisbtrelationshipspublic2017-02-26 21:17
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version1.1.0a4 
Target Version2.2.0Fixed in Version2.2.0 
Summary0008313: More work needs to move to Relationship APIs
Description

At the moment the relationship APIs just handle the adding/removing of relationships. They don't do other related tasks like:

  1. Sending emails.
  2. Updating time stamps of appropriate issues.
  3. Updating history.

This kind of work is done via scripts like bug_relationship_add.php. This is wrong. The APIs should do all such work from within. This will allow using the relationship APIs from SOAP APIs or directly via other custom scripts and still do the right thing.

Scripts like bug_relationship_add.php should only contain functionality that is specific to the GUI and does not apply to other clients. Obviously that is not the case for email, history, access checks, etc.

Tagsrefactoring, soap api

Activities

Issue History

Date Modified Username Field Change
2007-08-26 17:30 vboctor New Issue
2007-08-26 17:31 vboctor Tag Attached: refactoring
2007-08-26 17:31 vboctor Tag Attached: soap api
2017-02-11 20:46 vboctor Assigned To => vboctor
2017-02-11 20:46 vboctor Status new => assigned
2017-02-12 19:00 vboctor Note Added: 0055653
2017-02-19 20:21 vboctor Reproducibility have not tried => N/A
2017-02-19 20:21 vboctor Status assigned => resolved
2017-02-19 20:21 vboctor Resolution open => fixed
2017-02-19 20:21 vboctor Fixed in Version => 2.2.0
2017-02-19 20:21 vboctor Target Version => 2.2.0
2017-02-26 21:17 vboctor Status resolved => closed